Package org.pushingpixels.substance.internal.utils.combo

# Class ComboBoxBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.internal.utils.combo.ComboBoxBackgroundDelegate

public class ComboBoxBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Substance look and feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`ComboBoxBackgroundDelegate()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`static BufferedImage`
`getFullAlphaBackground(JComboBox combo, ButtonModel model, SubstanceFillPainter fillPainter, SubstanceBorderPainter borderPainter, int width, int height)`
Retrieves the background for the specified button.
`void`
`updateBackground(Graphics g, JComboBox combo, ButtonModel comboModel)`
Updates background of the specified button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComboBoxBackgroundDelegate

public ComboBoxBackgroundDelegate()
Simple constructor.

## Method Details

### getFullAlphaBackground

public static BufferedImage getFullAlphaBackground(JComboBox combo, ButtonModel model, SubstanceFillPainter fillPainter, SubstanceBorderPainter borderPainter, int width, int height)
Retrieves the background for the specified button.

Parameters:
  `combo` - combo box.
  `model` - Button model.
  `fillPainter` - Button fill painter.
  `borderPainter` - Button border painter.
  `width` - Button width.
  `height` - Button height.
Returns:
  Button background.

### updateBackground

public void updateBackground(Graphics g, JComboBox combo, ButtonModel comboModel)
Updates background of the specified button.

Parameters:
  `g` - Graphic context.
  `combo` - Combo Box to update.